<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'webservice', language 'eo', version '2.2'.
 *
 * @package     webservice
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accessexception'] = 'Escepto atingo-kontrolon';
$string['actwebserviceshhdr'] = 'Aktivaj TTT servo protokoloj';
$string['addaservice'] = 'Aldoni Servo';
$string['addcapabilitytousers'] = 'Kontrolu uzanton permesojn';
$string['addcapabilitytousersdescription'] = 'Uzuloj devas havi du kapabloj (permesoj) - webservice:createtoken kaj kapablo por egali la protokolojn uzata, ekz webservice/rest:use, webservice/soap:use. Por tion fari, krei TTT servo rolo kun taŭgaj kapabloj kaj atribui ĝin al uzanto ebligita TTT servo kiel sistemo rolon.';
$string['addfunction'] = 'Aldoni Funkcio';
$string['addfunctionhelp'] = 'Elektu la funkcion por aldoni la servon.';
$string['addfunctions'] = 'Aldoni roloj';
$string['addfunctionsdescription'] = 'Elektu la bezonata funkciojn por la nove kreita servon.';
$string['addrequiredcapability'] = 'Asigni/Malasigni la bezonata privilegiojn';
$string['addservice'] = 'Aldoni novan servon: {$a->name} (id: {$a->id})';
$string['addservicefunction'] = 'Aldoni funkciojn al servo "{$a}"';
$string['allusers'] = 'Ĉiuj uzantoj';
$string['amftestclient'] = 'AMF testo kliento';
$string['apiexplorer'] = 'API Esploristo';
$string['apiexplorernotavalaible'] = 'Foliumilo API Ne disponebla';
$string['arguments'] = 'argumentoj';
$string['authmethod'] = 'Identigo metodo';
$string['cannotcreatetoken'] = 'Neniu rajtas krei la retejon servo ĵetonon por servon {$a}.';
$string['cannotgetcoursecontents'] = 'Vi ne povas atingi la enhavo de la kurso';
$string['checkusercapability'] = 'Kontrolu uzanton privilegiojn';
$string['checkusercapabilitydescription'] = 'La uzanto devas havi la kapablon (privilegiojn) taŭga laŭ la protokolo uzata, ekz webservice/ripozo: uzo, webservice/sapo: uzo. Por tion fari, krei liston kun TTT servoj kapabloj ebligis protokolon kaj atribui gxin al uzanto ttt servoj kiel sistemo rolon.';
$string['configwebserviceplugins'] = 'Por sekureco kialoj, nur la protokoloj estas al esti uzata estos ebligita.';
$string['context'] = 'kunteksto';
$string['createservicedescription'] = 'Servo estas aro de funkcioj \'retejo servo \'. Tio ebligos al la uzanto aliro al nova servo. Sur la "Aldoni Servo" marki la \'Ebligi \' kaj \'Rajtigita Uzanto\'. Elektu \'Neniu permeso bezonata\'.';
$string['createserviceforusersdescription'] = 'Servo estas aro de funkcioj \'retejo servo \'. Tio ebligos al la uzanto aliro al nova servo. Sur la "Aldoni Servo" marki la \'Ebligi\' \'Rajtigita Uzanto \' opcion kaj malmarku. Elektu \'Neniu permeso bezonata \'.';
$string['createtoken'] = 'krei langeto';
$string['createtokenforuser'] = 'Krei profilo de uzanto por';
$string['createtokenforuserdescription'] = 'Kreu profilon de uzanto por retejo servojn.';
$string['createuser'] = 'Krei specifa uzanto';
$string['createuserdescription'] = 'Uzanto de TTT servoj estas bezonata por reprezenti la sistemo kiu kontrolas Moodle.';
$string['default'] = 'Defaŭlta valoro por "{$a}"';
$string['deleteaservice'] = 'Forigi servo';
$string['deleteservice'] = 'Forigi la servo: {$a->name} (id: {$a->id})';
$string['deleteserviceconfirm'] = 'Forigi servo estos ankaŭ forigi la blatoj (ĵetonoj) rilate al tiu servo. Ĉu vere forigi la eksterajn servo "{$a}"?';
$string['deletetokenconfirm'] = 'Ĉu vere forigi ĉi tiun paĝon (token) por reta servo <strong> {$a->user} </strong> je la servo <strong> {$a->service} </strong>?';
$string['disabledwarning'] = 'Ĉiuj servoj retejo protokoloj estas malaktivigita. La parametro "Ebligu TTT Servoj" troviĝas en "Altnivela Trajtoj".';
$string['doc'] = 'dokumentado';
$string['docaccessrefused'] = 'Vi ne estas rajtigita por vidi ĉi tiun paĝon dokumentado';
$string['documentation'] = 'Dokumentante TTT servoj';
$string['downloadfiles'] = 'Vi povas elŝuti dosierojn';
$string['downloadfiles_help'] = 'Se ebligita, ĉiu uzanto povas elŝuti dosierojn kun via sekureco ŝlosilo. Kompreneble ili estas limigitaj al dosieroj kiuj estas permesataj por elŝuti el la retejo.';
$string['editaservice'] = 'Redakti Servo';
$string['editservice'] = 'Redaktu la servo: {$a->name} (id: {$a->id})';
$string['enabled'] = 'Ebligita';
$string['enabledocumentation'] = 'Ebligu programisto dokumentado';
$string['enabledocumentationdescription'] = 'Ĝi estas disponebla por detala dokumentado pri retaj servoj ebligita protokoloj.';
$string['enablemobilewsoverview'] = 'Iru al la administra paĝo de {$a->manageservicelink}, elektu la "{$a->enablemobileservice}" kaj savi agordojn. Ĉio estas starigita por vi kaj la tuta retejo uzantoj povas uzi la oficialajn Moodle programon. Nuna Statuso: {$a->wsmobilestatus}';
$string['enableprotocols'] = 'Ebligu protokoloj';
$string['enableprotocolsdescription'] = 'Almenaŭ unu protokolo devas esti enebligita. Por sekureco, la protokoloj estu uzata devas esti ebligita.';
$string['enablews'] = 'Ebligu TTT servoj';
$string['enablewsdescription'] = 'TTT servoj devas esti ebligita en la progresinta karakterizaĵoj.';
$string['entertoken'] = 'Tajpu ŝlosilvorto/sekureco datumoj folio:';
$string['error'] = 'Eraro: {$a}';
$string['errorcatcontextnotvalid'] = 'Vi ne povas ekzekuti funkcioj en la kunteksto de kategorio (la kategorio id: {$a->catid}). La kunteksto de la mesaĝo estis: {$a->message}';
$string['errorcodes'] = 'Eraro mesaĝon';
$string['errorcoursecontextnotvalid'] = 'Vi ne povas ekzekuti funkcioj en la kunteksto de progreso (kurso id: {$a->courseid}). La kunteksto eraro mesaĝo estis: {$a->message}';
$string['errorinvalidparam'] = 'La "{$a}" parametro ne estas valida.';
$string['errornotemptydefaultparamarray'] = 'La parametro priskribo de servo retejo nomata \'{$a} \' estas unuopa aŭ pluraj strukturo. Defaŭlte ĝi povas esti nur malplenan tabelo. Revizii la priskribo de la TTT-servo.';
$string['erroroptionalparamarray'] = 'La priskribo de la TTT-servo parametro nomata \'{$a} \' estas unuopa aŭ pluraj strukturo. Ĝi ne povas esti agordita kiel VALUE_OPTIONAL. Revizii la priskribo de TTT servoj';
$string['execute'] = 'Plenumu';
$string['executewarnign'] = 'ATENTU: Se vi alklakos "kuri" via datumbazo estos modifita. Paĝoj ne povas aŭtomate restarigu';
$string['externalservice'] = 'Eksteraj Servo';
$string['externalservicefunctions'] = 'Funkcioj de ekstera servo';
$string['externalservices'] = 'Eksteraj Servoj';
$string['externalserviceusers'] = 'Uzanto ekstera servo';
$string['failedtolog'] = 'Eraro je ensaluto';
$string['filenameexist'] = 'La dosiero nomo jam ekzistas: {$a}';
$string['forbiddenwsuser'] = 'Maleblas krei rekordon (token) por uzanto sen-konfirmas, forigita, nuligita aŭ gasto.';
$string['function'] = 'funkcio';
$string['functions'] = 'funkcioj';
$string['generalstructure'] = 'Ĝenerala strukturo';
$string['information'] = 'informo';
$string['installexistingserviceshortnameerror'] = 'Al retejo servo kun la mallonga nomo "{$a}" jam ekzistas. Maleblas install/aktualigi malsama servo retejo kun tiu mallonga nomo.';
$string['installserviceshortnameerror'] = 'Insekto: la mallonga servo nomo "{$a}" povas nur enhavi nombroj, literoj kaj _ gravuloj.';
$string['invalidextparam'] = 'Nevalida eksteraj api parametro: {$a}';
$string['invalidextresponse'] = 'Nevalida eksteraj api respondo: {$a}';
$string['invalidiptoken'] = 'Nevalida rekordon - Via IP ne estas subtenata';
$string['invalidtimedtoken'] = 'URL (token) nevalidaj - rekordo eksvalidiĝi';
$string['invalidtoken'] = 'URL (token) nevalidaj - rekordo ne trovita';
$string['iprestriction'] = 'IP Limigo';
$string['iprestriction_help'] = 'La uzanto povas fari uzon de TTT servojn se vi konektas de IP-adresoj listigitaj tie.';
$string['key'] = 'ŝlosilo';
$string['keyshelp'] = 'La ŝlosiloj estas uzata por aliri vian Moodle konto de eksteraj aplikoj.';
$string['manageprotocols'] = 'Administru protokoloj';
$string['managetokens'] = 'Administru ĵetonoj';
$string['missingcaps'] = 'Missing permesojn';
$string['missingcaps_help'] = 'Listo de permesoj bezonata por la laboro, kiun havas la elektita uzanto. Missing permesoj devas esti aldonitaj al la listo de la uzanto por uzi tiun servon.';
$string['missingpassword'] = 'Foul pasvorton';
$string['missingrequiredcapability'] = 'Permeso {$a} estas bezonata.';
$string['missingusername'] = 'Foul salutnomo';
$string['missingversionfile'] = 'Insekto: Missing version.php por komponanto {$a}';
$string['mobilewsdisabled'] = 'handikapita';
$string['mobilewsenabled'] = 'Ebligita';
$string['nofunctions'] = 'Ĉi tiu servo ne havas funkciojn.';
$string['norequiredcapability'] = 'Neniu permeso estas bezonata';
$string['notoken'] = 'La listo de ĵetonoj (token) estas malplena.';
$string['onesystemcontrolling'] = 'Permesu al ekstera kontrolo sistemo por Moodle';
$string['onesystemcontrollingdescription'] = 'La sekvaj paŝoj helpos vin krei TTT servo por interagi kun ekstera sistemo Moodle. Inkluzivas agordo identigo metodo kontrolo (sekureco klavo).';
$string['operation'] = 'operacio';
$string['optional'] = 'nedeviga';
$string['passwordisexpired'] = 'La pasvorto eksvalidiĝis';
$string['phpparam'] = 'XML-RPC (PHP kadro)';
$string['phpresponse'] = 'XML-RPC (PHP kadro)';
$string['postrestparam'] = 'PHP-kodo por ripozo (POST peto)';
$string['potusers'] = 'Neniu rajtigitaj uzantoj';
$string['potusersmatching'] = 'Neniaj rajtigitaj uzantoj';
$string['print'] = 'presi cxiujn';
$string['protocol'] = 'protokolo';
$string['removefunction'] = 'Eltiru';
$string['removefunctionconfirm'] = 'Ĉu vi vere volas forigi la "{$a->function}" servo "{$a->service}"?';
$string['requireauthentication'] = 'Tiu metodo postulas identigon kun permeso xxx.';
$string['required'] = 'Diskutejo';
$string['requiredcapability'] = 'permeso bezonata';
$string['requiredcapability_help'] = 'Se la opcio, nur uzantoj kun la bezonata permesoj povas aliri la servo estas aktivigita.';
$string['requiredcaps'] = 'postulatajn permesojn';
$string['resettokenconfirm'] = 'Ĉu vi vere volas nuligi ĉi tiun ŝlosilon servo por <strong> {$a->user} </strong> je la servo <strong> {$a->service} </strong>?';
$string['resettokenconfirmsimple'] = 'Ĉu vi certas ke vi volas restarigi la koncerna klavo? Ajna savis ligilo kiun enhavas la supre klavo ne plu funkcias.';
$string['response'] = 'respondo';
$string['restcode'] = 'REST';
$string['restexception'] = 'REST';
$string['restoredaccountresetpassword'] = 'La restarigitaj konto bezonas restartigi (reboot) la pasvorton antaŭ atingi rekordon (token).';
$string['restparam'] = 'REST (POST parametroj)';
$string['restrictedusers'] = 'Nur rajtigitaj uzantoj';
$string['restrictedusers_help'] = 'Tiu opcio determinas ĉu ĉiuj uzantoj kun la permeso por krei rekordon (token) TTT servoj povas generi tiu ĵetono (token) tra ĝiaj paĝoj aŭ sekureco klavoj nur rajtigitaj uzantoj povas fari.';
$string['securitykey'] = 'Sekureco klavo (tab)';
$string['securitykeys'] = 'Sekureco Keys';
$string['selectauthorisedusers'] = 'Elektu rajtigitaj uzantoj';
$string['selectedcapability'] = 'elektitaj';
$string['selectedcapabilitydoesntexit'] = 'La nuna muzikigo de la permeson requeriod ({$a}) ne plu ekzistas. Bonvolu ŝanĝi ĝin kaj konservi la ŝanĝojn.';
$string['selectservice'] = 'Elektu servo';
$string['selectspecificuser'] = 'Elektu specifa uzanto';
$string['selectspecificuserdescription'] = 'Aldonu la servo retejo de uzanto kiel rajtigita uzanto.';
$string['service'] = 'servo';
$string['servicehelpexplanation'] = 'Servo estas aro de funkcioj. Servo, kiun povas aliri per ĉiuj uzantoj aux nur iuj specifitaj.';
$string['servicename'] = 'Servo Nomo';
$string['servicenotavailable'] = 'La retejo servo ne estas disponebla (ne ekzistas aŭ povas esti malebligita)';
$string['servicesbuiltin'] = 'servoj inkludis';
$string['servicescustom'] = 'Propra Servoj';
$string['serviceusers'] = 'rajtigita Uzantoj';
$string['serviceusersettings'] = 'Uzanto Agordoj';
$string['serviceusersmatching'] = 'Rajtigita Uzantoj Concorde';
$string['serviceuserssettings'] = 'Ŝanĝo agordojn por rajtigitaj uzantoj';
$string['simpleauthlog'] = 'Simplaj aliro identigo';
$string['step'] = 'paŝoj';
$string['testauserwithtestclientdescription'] = 'Simuli eksteraj aliro al la servo uzanta la TTT servo testo kliento. Antaŭ ol fari sian ensaluti kiel uzanto kun Moodle/webservice permeson: createtoken por la sekureco klavo (token) tra Mia profilo agordojn. Vi uzos tiun informon (token) en la testo kliento. En la testo klienton, ankaŭ elektu aŭtentokontrolo ebligita rekordo (token) protokolo. <strong> AVERTO: La trajtoj vi provu esti ekzekutita pro ĉi uzanto, do vi devas esti singardema kun kion vi decidas provi </strong>!';
$string['testclient'] = 'Testo Kliento TTT Servo';
$string['testclientdescription'] = '* La testo kliento kuras <strong> ttt servoj </strong> la funkcioj <strong> REALLY </strong>. Ne provi funkcioj ne scias. <br /> * ankoraŭ ne implementado ĉiujn funkciojn de la TTT-servoj testo kliento <br /> * Por kontroli, ke la uzanto ne povas acccesar iuj funkcioj, vi povas provi iujn funkciojn vi ne permesis. <br /> * Por vidi la erarmesaĝojn pli klara, konfiguri elpurigi <strong> {$a->mode} </strong> en {$a->atag} <br /> * Aliro la {$a->amfatag} .';
$string['testwithtestclient'] = 'Kontrolu la servo';
$string['testwithtestclientdescription'] = 'Simulas eksteraj aliro al la servo uzanta la testo kliento TTT servon. Uzu permesataj aŭtentokontrolo protokolon rekordo (token). <strong> AVERTO: La trajtoj vi provu esti ekzekutita pro ĉi uzanto, do vi devas esti singardema kun kion vi decidas provi </strong>!';
$string['token'] = 'dosiero';
$string['tokenauthlog'] = 'Identificacón per rekordon';
$string['tokencreatedbyadmin'] = 'Nur povas reagordi de la administranto (*)';
$string['tokencreator'] = 'kreinto';
$string['unknownoptionkey'] = 'Nekonata opcio klavo ({$a})';
$string['updateusersettings'] = 'Ĝisdatigu';
$string['userasclients'] = 'Uzantoj kaj klientoj kun rekordon';
$string['userasclientsdescription'] = 'La sekvaj paŝoj povas helpi vin konfiguri vian Moodle TTT servon al la uzantoj kaj klientoj. Tiuj paŝoj helpos ankaŭ vi starigis la aŭtentigan metodo bazita sur la registro (token) Rekomendita (sekureco klavoj). En ĉi tiu kazo, la uzanto generos iliaj rekordo (token) de la paĝo sekureco klavo agordojn per Mia Profilo.';
$string['usermissingcaps'] = 'Permesoj forestas: {$a}';
$string['usernameorid'] = 'Salutnomo/Uzantnumero';
$string['usernameorid_help'] = 'Enskribu la uzulonomon aŭ uzantidentigilon.';
$string['usernameoridnousererror'] = 'Neniu uzantoj trovigxas cxe tiu uzantnomo/user ID';
$string['usernameoridoccurenceerror'] = 'Ni trovis pli ol unu uzanto kun tiu salutnomo. Bonvolu eniri la uzantidentigilon';
$string['usernotallowed'] = 'La uzanto ne havas tiun servon ebligita. Unue, ĉi uzanto devas permesi ghin en {$a} \'s permesis la uzanto mastrumado paĝo.';
$string['usersettingssaved'] = 'Uzanto agordojn savita';
$string['validuntil'] = 'valida vi';
$string['validuntil_help'] = 'Se la opcio estas ebligita, la servo estos malebligita por ĉi tiu uzanto post tiu dato.';
$string['webservice'] = 'TTT Servo';
$string['webservices'] = 'TTT Servoj';
$string['webservicesoverview'] = 'Superrigardo';
$string['webservicetokens'] = 'Ĵetonoj TTT servoj';
$string['wrongusernamepassword'] = 'Salutnomo aŭ pasvorto malĝusta';
$string['wsaccessuserdeleted'] = 'TTT servo aliro al la nomo de uzanto estis malakceptita forigis: {$a}';
$string['wsaccessuserexpired'] = 'Aliro al servo retejo kun uzantnomo pasvorton finiĝas Rejected: {$a}';
$string['wsaccessusernologin'] = 'Aliro al la retejo servo por uzulonomon aŭtentokontrolo sen identigo estis rifuzita: {$a}';
$string['wsaccessusersuspended'] = 'TTT servo aliro al la nomo de uzanto estis malakceptita malakceptita: {$a}';
$string['wsaccessuserunconfirmed'] = 'Aliro al la retejo servo por uzant-nomo estis malakceptita konfirmitaj: {$a}';
$string['wsclientdoc'] = 'Dokumentaro Moodle TTT servoj';
$string['wsdocapi'] = 'API Dokumentaro';
$string['wsdocumentation'] = 'Dokumentaro TTT Servo';
$string['wsdocumentationdisable'] = 'Dokumentado de TTT servoj estas malebligita';
$string['wsdocumentationintro'] = 'Krei kliento bonvolu legi la {$a->doclink}';
$string['wsdocumentationlogin'] = 'Aŭ tajpi vian salutnomon kaj pasvorton por TTT servoj:';
$string['wspassword'] = 'Pasvorto TTT Servo';
$string['wsusername'] = 'Salutnomo TTT Servo';
